- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# memp.h File Reference

`#include <ubixos/types.h>`
`#include "net/debug.h"`
`#include "net/arch/cc.h"`
`#include "net/lwipopts.h"`

Go to the source code of this file.

## Defines
#define | memp_register_reclaim(t, f, arg)
## Enumerations
enum | memp_t { MEMP_PBUF, MEMP_UDP_PCB, MEMP_TCP_PCB, MEMP_TCP_PCB_LISTEN, MEMP_TCP_SEG, MEMP_NETBUF, MEMP_NETCONN, MEMP_API_MSG, MEMP_TCPIP_MSG, MEMP_SYS_TIMEOUT, MEMP_MAX }
## Functions
void | memp_free (memp_t type, void *mem)
void | memp_freep (memp_t type, void *mem)
void | memp_init (void)
void * | memp_malloc (memp_t type)
void * | memp_malloc2 (memp_t type)
void * | memp_mallocp (memp_t type)
void * | memp_realloc (memp_t fromtype, memp_t totype, void *mem)

## Define Documentation

#define memp_register_reclaim | ( | t,
|  | f,
|  | arg |  | ) |

Definition at line 75 of file memp.h.

## Enumeration Type Documentation

enum memp_t

Enumerator:

  MEMP_PBUF |
  MEMP_UDP_PCB |
  MEMP_TCP_PCB |
  MEMP_TCP_PCB_LISTEN |
  MEMP_TCP_SEG |
  MEMP_NETBUF |
  MEMP_NETCONN |
  MEMP_API_MSG |
  MEMP_TCPIP_MSG |
  MEMP_SYS_TIMEOUT |
  MEMP_MAX |

Definition at line 45 of file memp.h.

## Function Documentation

void memp_free | ( | memp_t | type,
|  | void * | mem |
| ) |  |  |

Referenced by accept_function(), netconn_delete(), and tcpip_apimsg().

void memp_freep | ( | memp_t | type,
|  | void * | mem |
| ) |  |  |

Referenced by netbuf_chain(), netbuf_delete(), netconn_bind(), netconn_close(), netconn_connect(), netconn_delete(), netconn_listen(), netconn_new(), netconn_recv(), netconn_send(), netconn_write(), and tcpip_thread().

void memp_init | ( | void |  | ) |

Referenced by net_init().

void* memp_malloc | ( | memp_t | type | ) |

void* memp_malloc2 | ( | memp_t | type | ) |

void* memp_mallocp | ( | memp_t | type | ) |

Referenced by accept_function(), netbuf_new(), netconn_bind(), netconn_close(), netconn_connect(), netconn_delete(), netconn_listen(), netconn_new(), netconn_recv(), netconn_send(), netconn_write(), recv_udp(), tcpip_apimsg(), and tcpip_input().

void* memp_realloc | ( | memp_t | fromtype,
|  | memp_t | totype,
|  | void * | mem |
| ) |  |  |